import { Container, CssBaseline } from "@mui/material";
import AppToolbar from "./components/UI/AppToolbar/AppToolbar.tsx";
import { useAppSelector } from "./store/hooks.ts";
import { Routes } from "./components/routes/routes.tsx";

const App = () => {
  const { user } = useAppSelector((state) => state.user);

  return (
    <>
      <CssBaseline />
      <header>
        <AppToolbar />
      </header>
      <main>
        <Container maxWidth="xl">
          <Routes user={user} />
        </Container>
      </main>
    </>
  );
};

export default App;
