import axios from "axios";
import { apiURL } from "./constants.ts";
import { Store } from "@reduxjs/toolkit";
import { RootState } from "./store";

type AppStore = Store<RootState>;

let store: AppStore;

export const injectStore = (_store: AppStore) => {
  store = _store;
};

const axiosApi = axios.create({
  baseURL: apiURL,
});

axiosApi.interceptors.request.use((config) => {
  try {
    config.headers["Authorization"] = store.getState().user.user?.token;
  } catch (e) {
    console.log(e);
  }

  return config;
});
export default axiosApi;
