import { Link } from "react-router-dom";
import { ArrowForward } from "@mui/icons-material";
import {
  Card,
  CardActions,
  CardContent,
  CardHeader,
  Grid,
  IconButton,
  CardMedia,
} from "@mui/material";
import imageNotAvailable from "../../assets/images/Image_not_available.png";
import { apiURL } from "../../constants.ts";
interface IProps {
  title: string;
  price: number;
  id: string;
  image?: string;
}
const ProductItem = ({ title, id, price, image }: IProps) => {
  let cardImage = imageNotAvailable;

  if (image) {
    cardImage = apiURL + "/uploads/" + image;
  }

  return (
    <Grid item xs={12} sm={6} md={6} lg={4}>
      <Card sx={{ minWidth: 275 }}>
        <CardHeader title={title} />
        <CardMedia
          image={cardImage}
          title={title}
          sx={{ height: 200, paddingTop: "56.25%" }}
        />
        <CardContent>
          <strong style={{ marginLeft: 10 }}>Price: {price} KZT</strong>
        </CardContent>
        <CardActions>
          <IconButton component={Link} to={`/products/${id}`}>
            <ArrowForward />
          </IconButton>
        </CardActions>
      </Card>
    </Grid>
  );
};

export default ProductItem;
