import { IUser } from "../../interfaces/IUser.ts";
import { Route, Routes as RouterRoutes } from "react-router-dom";
import Products from "../../containers/Products/Products.tsx";
import Register from "../../containers/Register/Register.tsx";
import Login from "../../containers/Login/Login.tsx";
import ProtectedRoute from "../ProtectedRoute/ProtectedRoute.tsx";
import NewProduct from "../../containers/Products/NewProduct.tsx";

interface IProps {
  user: IUser | null;
}

export const Routes = ({ user }: IProps) => {
  return (
    <RouterRoutes>
      <Route path="/" element={<Products />} />
      <Route path="/register" element={<Register />} />
      <Route path="/login" element={<Login />} />
      <Route
        element={
          <ProtectedRoute
            isAllowed={!!user && user.role === "admin"}
            redirectPath="/login"
          />
        }
      >
        <Route path="/products/new" element={<NewProduct />} />
      </Route>
    </RouterRoutes>
  );
};
